# Create an Onboarding Form

Create an Onboarding Form by entering the processor’s name you want to onboard users to. Also, provide the links to send users after they finish or leave the form.

You can only create an Onboarding Form if you have ROLE_PARTNER credentials.

Endpoint: POST /onboarding_forms
Version: 2022-02-01
Security: BasicAuth

## Header parameters:

  - `Finix-Version` (string)
    Specify the API version of your request. For more details, see Versioning.
    Example: "2022-02-01"

  - `Content-Type` (string)
    The data type being sent in the request body must be application/json.
    Example: "application/json"

## Request fields (application/json):

  - `merchant_processors` (array, required)
    An array of objects with the processors and gateways users will be onboarded to.

  - `merchant_processors.processor` (string, required)
    The name of the processor you plan to onboard users to.

  - `onboarding_data` (object, required)
    The prefilled information of the user that's being onboarded. For more information, see [Prefilling Fields](/guides/platform-payments/onboarding-sellers/seller-onboarding-forms/#prefilling-fields).

  - `onboarding_data.additional_underwriting_data` (object)
    Additional underwriting data about the user.

  - `onboarding_data.additional_underwriting_data.annual_ach_volume` (integer)
    The approximate annual ACH sales expected to be processed (in cents) by this merchant (max 10 characters).

  - `onboarding_data.additional_underwriting_data.average_ach_transfer_amount` (integer)
    The approximate average ACH sale amount (in cents) for this merchant.

  - `onboarding_data.additional_underwriting_data.average_card_transfer_amount` (integer)
    The average credit card sale amount (in cents) for this merchant.

  - `onboarding_data.additional_underwriting_data.business_description` (string)
    Description of this merchant's business (max 200 characters).

  - `onboarding_data.additional_underwriting_data.card_volume_distribution` (object,null)
    The distribution of the merchant's credit card volume The sum of card_volume_distribution must be 100.

  - `onboarding_data.additional_underwriting_data.card_volume_distribution.card_present_percentage` (integer)
    The percentage of the merchant's volume that's card present (between 0 and 100).

  - `onboarding_data.additional_underwriting_data.card_volume_distribution.ecommerce_percentage` (integer)
    The percentage of the merchant's business that is eCommerce (between 0 and 100).

  - `onboarding_data.additional_underwriting_data.card_volume_distribution.mail_order_telephone_order_percentage` (integer)
    The percentage of the merchant's business that is a mail or telephone order (between 0 and 100).

  - `onboarding_data.additional_underwriting_data.credit_check_timestamp` (string)
    A timestamp of when this merchant consented to a credit check (e.g., 2021-04-28T16:42:55Z).

  - `onboarding_data.additional_underwriting_data.credit_check_user_agent` (string)
    The details of the browser that was used when this merchant consented to a credit check (e.g., Mozilla 5.0 (Macintosh; Intel Mac OS X 10 _14_6)).

  - `onboarding_data.additional_underwriting_data.merchant_agreement_accepted` (boolean)
    Sets whether this merchant has accepted the terms and conditions of the merchant agreement.

  - `onboarding_data.additional_underwriting_data.merchant_agreement_ip_address` (string)
    IP address of the merchant when this merchant accepted the merchant agreement (e.g., 42.1.1.113).

  - `onboarding_data.additional_underwriting_data.merchant_agreement_timestamp` (string)
    Timestamp of when the merchant accepted Finix's Terms of Service (e.g., 2021-04-28T16:42:55Z).

  - `onboarding_data.additional_underwriting_data.merchant_agreement_user_agent` (string)
    The details of the browser that was used when this merchant accepted Finix's Terms of Service (e.g., Mozilla 5.0 (Macintosh; Intel Mac OS X 10 _14_6)).

  - `onboarding_data.additional_underwriting_data.refund_policy` (string)
    Include the value that best applies to the merchant's refund policy.
    Enum: "NO_REFUNDS", "MERCHANDISE_EXCHANGE_ONLY", "WITHIN_30_DAYS", "OTHER"

  - `onboarding_data.additional_underwriting_data.volume_distribution_by_business_type` (object,null)
    Merchant's distribution of credit card volume by business type. Sum of volume_distribution_by_business_type must be 100.

  - `onboarding_data.additional_underwriting_data.volume_distribution_by_business_type.business_to_business_volume_percentage` (integer)
    The percentage of the merchant's volume that's business to business (between 0 and 100).

  - `onboarding_data.additional_underwriting_data.volume_distribution_by_business_type.business_to_consumer_volume_percentage` (integer)
    The percentage of the merchant's volume that's business to consumer (between 0 and 100).

  - `onboarding_data.additional_underwriting_data.volume_distribution_by_business_type.consumer_to_consumer_volume_percentage` (integer)
    Merchant's percentage of volume that is consumer to consumer (between 0 and 100).

  - `onboarding_data.additional_underwriting_data.volume_distribution_by_business_type.other_volume_percentage` (integer)
    The percentage of the merchant's volume that isn't represented by the previous fields (between 0 and 100).

  - `onboarding_data.additional_underwriting_data.volume_distribution_by_business_type.person_to_person_volume_percentage` (integer)
    The percentage the merchant's volume that's person to person (between 0 and 100).

  - `onboarding_data.additional_underwriting_data.amex_marketing_consent` (object,null)
    Details about the merchant's consent to receive American Express marketing communications.

  - `onboarding_data.additional_underwriting_data.amex_marketing_consent.accepted` (boolean)
    Whether the merchant accepted Amex marketing consent.

  - `onboarding_data.additional_underwriting_data.amex_marketing_consent.ip_address` (string)
    IP address of the merchant when they provided their marketing consent decision.

  - `onboarding_data.additional_underwriting_data.amex_marketing_consent.user_agent` (string)
    The browser user agent details when the merchant provided their marketing consent decision.

  - `onboarding_data.additional_underwriting_data.amex_marketing_consent.timestamp` (string)
    Timestamp of when the merchant provided their marketing consent decision (ISO 8601 format).

  - `onboarding_data.associated_entities` (array)
    The entities saved in the associated_identities of the user. For more information, see [Create an Associated Identity](#operation/createAssociatedIdentity).

  - `onboarding_data.associated_entities.annual_card_volume` (integer)
    The annual credit card sales (in cents) expected to be processed (max 19 characters).

  - `onboarding_data.associated_entities.business_address` (object,null)
    The primary address for the legal entity.

  - `onboarding_data.associated_entities.business_address.city` (string)
    City (max 20 characters).

  - `onboarding_data.associated_entities.business_address.country` (string)

  - `onboarding_data.associated_entities.business_address.line2` (string)
    Second line of the address (max 35 characters).

  - `onboarding_data.associated_entities.business_address.line1` (string)
    First line of the address (max 35 characters).

  - `onboarding_data.associated_entities.business_address.postal_code` (string)
    Zip or Postal code (max 7 characters).

  - `onboarding_data.associated_entities.business_address.region` (string)
    2-letter state code.

  - `onboarding_data.associated_entities.business_name` (string,null)
    Abbreviated names of the business. If there are no abbreviated name, leave this field blank.

  - `onboarding_data.associated_entities.business_phone` (string)
    Customer service phone number where the merchant can be reached (max 10 characters).

  - `onboarding_data.associated_entities.business_tax_id` (string)
    Nine digit Tax Identification Number (TIN), Employer Identification Number (EIN). If the business_type is INDIVIDUAL\_SOLE\_PROPRIETORSHIP and they do not have an EIN, use the sole proprietor's Social Security Number (SSN).

  - `onboarding_data.associated_entities.business_type` (string)
    Include the value that best applies to the merchant.
    Enum: "INDIVIDUAL_SOLE_PROPRIETORSHIP", "CORPORATION", "LIMITED_LIABILITY_COMPANY", "PARTNERSHIP", "ASSOCIATION_ESTATE_TRUST", "TAX_EXEMPT_ORGANIZATION", "INTERNATIONAL_ORGANIZATION", "GOVERNMENT_AGENCY"

  - `onboarding_data.associated_entities.default_statement_descriptor` (string,null)
    The description of the Merchant that appears on the buyer's bank or card statement.

  - `onboarding_data.associated_entities.dob` (object)
    The control owner's date of birth.

  - `onboarding_data.associated_entities.dob.day` (integer)

  - `onboarding_data.associated_entities.dob.month` (integer)

  - `onboarding_data.associated_entities.dob.year` (integer)

  - `onboarding_data.associated_entities.doing_business_as` (string)
    Alternate names of the business. If there are no other names, pass the same value used for business_name (max 60 characters).

  - `onboarding_data.associated_entities.email` (string)
    The email address of the principal control owner where they can be reached (max 100 characters).

  - `onboarding_data.associated_entities.first_name` (string)
    The legal first name of the control owner (max 20 characters).

  - `onboarding_data.associated_entities.has_accepted_credit_cards_previously` (boolean)
    Defaults to false if not passed.

  - `onboarding_data.associated_entities.incorporation_date` (object,null)
    The date the company was founded and registered.

  - `onboarding_data.associated_entities.incorporation_date.day` (integer)
    Day business was incorporated (between 1 and 31).

  - `onboarding_data.associated_entities.incorporation_date.month` (integer)
    Month business was incorporated (between 1 and 12).

  - `onboarding_data.associated_entities.incorporation_date.year` (integer)
    Year business was incorporated (4-digit).

  - `onboarding_data.associated_entities.last_name` (string)
    The Identity owner's legal last name.

  - `onboarding_data.associated_entities.max_transaction_amount` (integer)
    The maximum amount (in cents) that can be charged for a single transaction (max 12 characters).

  - `onboarding_data.associated_entities.mcc` (string)
    The Merchant Category Code ([MCC](http://www.dm.usda.gov/procurement/card/card\_x/mcc.pdf)) that this merchant will be classified under. For a list of approved MCCs, see [Approved Merchant Category Codes.](/guides/managing-operations/security-compliance/approved-merchant-category-codes)

  - `onboarding_data.associated_entities.ownership_type` (string,null)
    Values can be either:
- PUBLIC to indicate a publicly-traded company.
- PRIVATE for privately-held businesses.

  - `onboarding_data.associated_entities.personal_address` (object)
    The home address of the principal control owner. This field is used for identity verification purposes.

  - `onboarding_data.associated_entities.personal_address.city` (string)
    City (max 20 characters).

  - `onboarding_data.associated_entities.personal_address.country` (string)
    3-Letter country code (e.g. USA).

  - `onboarding_data.associated_entities.personal_address.line1` (string)
    First line of the address (max 35 characters).

  - `onboarding_data.associated_entities.personal_address.line2` (string)
    Second line of the address (max 35 characters).

  - `onboarding_data.associated_entities.personal_address.postal_code` (string)
    Zip or Postal code (max 7 characters).

  - `onboarding_data.associated_entities.personal_address.region` (string)
    2-letter State code.

  - `onboarding_data.associated_entities.phone` (string)
    The principal control owner's phone number (max 10 characters).

  - `onboarding_data.associated_entities.principal_percentage_ownership` (integer)
    Percentage of the company owned by the principal control owner (min 0; max 100).

  - `onboarding_data.associated_entities.tax_id` (string)
    Details if the tax_id was provided.

  - `onboarding_data.associated_entities.title` (string)
    The corporate title of the control owner (e.g. Chief Executive Officer, CFO, etc. Max 60 characters).

  - `onboarding_data.associated_entities.url` (string)
    The URL of the Identity owner's public website.

  - `onboarding_data.country` (string)
    Country of the Merchant's business
    Enum: "USA", "CAN"

  - `onboarding_data.entity` (object)
    The entity information saved in the Identity of the user.

  - `onboarding_data.entity.amex_mid` (integer,null)
    Assigned amexMid value. If a value is passed, it must be 10 or 11 digits.

  - `onboarding_data.entity.annual_card_volume` (integer,null)
    The annual credit card sales (in cents) expected to be processed by this seller (max 19 characters).

  - `onboarding_data.entity.business_address` (object,null)
    The primary address for the legal entity.

  - `onboarding_data.entity.business_address.line1` (string,null)
    First line of the address (max 35 characters).

  - `onboarding_data.entity.business_address.line2` (string,null)
    Second line of the address (max 35 characters).

  - `onboarding_data.entity.business_address.city` (string,null)
    City (max 20 characters).

  - `onboarding_data.entity.business_address.region` (string,null)
    2-letter state code.

  - `onboarding_data.entity.business_address.postal_code` (string,null)
    Zip or Postal code (max 7 characters).

  - `onboarding_data.entity.business_address.country` (string,null)
    3-Letter Country code (e.g. USA).

  - `onboarding_data.entity.business_name` (string,null)
    The merchant's legal business name (max 120 characters).If INDIVIDUAL_SOLE_PROPRIETORSHIP, pass the owner's legal first name, last name, and middle initial.

  - `onboarding_data.entity.business_phone` (string,null)
    Customer service phone number where the seller can be reached (max 10 characters).

  - `onboarding_data.entity.business_tax_id_provided` (boolean)
    Details if the business_tax_id was provided.

  - `onboarding_data.entity.business_type` (string,null)
    Include the value that best applies to the seller.
    Enum: "INDIVIDUAL_SOLE_PROPRIETORSHIP", "CORPORATION", "LIMITED_LIABILITY_COMPANY", "PARTNERSHIP", "LIMITED_PARTNERSHIP", "GENERAL_PARTNERSHIP", "ASSOCIATION_ESTATE_TRUST", "TAX_EXEMPT_ORGANIZATION", "INTERNATIONAL_ORGANIZATION", "GOVERNMENT_AGENCY", "JOINT_VENTURE"

  - `onboarding_data.entity.default_statement_descriptor` (string,null)
    The description of the Merchant that appears on the buyer's bank or card statement.

  - `onboarding_data.entity.discover_mid` (integer,null)
    Assigned discoverMid value.

  - `onboarding_data.entity.dob` (object,null)
    The control owner's date of birth.

  - `onboarding_data.entity.dob.day` (integer)
    Day of birth (between 1 and 31).

  - `onboarding_data.entity.dob.month` (integer)
    Month of birth (between 1 and 12).

  - `onboarding_data.entity.dob.year` (integer)
    Year of birth (4-digit). Year must be greater than 1900.

  - `onboarding_data.entity.doing_business_as` (string,null)
    Alternate names of the business. If there are no other names, pass the same value used for business_name (max 60 characters).

  - `onboarding_data.entity.email` (string,null)
    The email address of the principal control owner where they can be reached (max 100 characters).

  - `onboarding_data.entity.first_name` (string,null)
    The legal first name of the merchant's control owner (max 20 characters).

  - `onboarding_data.entity.has_accepted_credit_cards_previously` (boolean)
    Defaults to false if not passed.

  - `onboarding_data.entity.incorporation_date` (object,null)
    The date the company was founded and registered with the US.

  - `onboarding_data.entity.incorporation_date.day` (integer)
    Day business was incorporated (between 1 and 31).

  - `onboarding_data.entity.incorporation_date.month` (integer)
    Month of birth (between 1 and 12).

  - `onboarding_data.entity.incorporation_date.year` (integer)
    Year business was incorporated (4-digit).

  - `onboarding_data.entity.last_name` (string,null)
    The legal last name of the merchant's control owner (max 20 characters).

  - `onboarding_data.entity.mcc` (string,null)
    The Merchant Category Code ([MCC](http://www.dm.usda.gov/procurement/card/card\_x/mcc.pdf)) that this merchant will be classified under. For a list of approved MCCs, see [Approved Merchant Category Codes.](/guides/managing-operations/security-compliance/approved-merchant-category-codes)

  - `onboarding_data.entity.ownership_type` (string,null)
    Values can be either: PUBLIC to indicate a publicly-traded company.PRIVATE for privately-held businesses.
    Enum: "PUBLIC", "PRIVATE"

  - `onboarding_data.entity.personal_address` (object,null)
    The home address of the merchant's principal control owner. This field is used for identity verification purposes.

  - `onboarding_data.entity.personal_address.line1` (string,null)
    First line of the address (max 35 characters).

  - `onboarding_data.entity.personal_address.line2` (string,null)
    Second line of the address (max 35 characters).

  - `onboarding_data.entity.personal_address.city` (string,null)
    City (max 20 characters).

  - `onboarding_data.entity.personal_address.region` (string,null)
    2-letter State code.

  - `onboarding_data.entity.personal_address.postal_code` (string,null)
    Zip or Postal code (max 7 characters).

  - `onboarding_data.entity.personal_address.country` (string,null)
    3-Letter country code (e.g. USA).

  - `onboarding_data.entity.phone` (string,null)
    The principal control owner's phone number (max 10 characters).

  - `onboarding_data.entity.principal_percentage_ownership` (integer,null)
    Percentage of the company owned by the principal control owner (min 0; max 100).

  - `onboarding_data.entity.short_business_name` (string,null)
    Abbreviated names of the business. If there are no abbreviated name, leave this field blank.

  - `onboarding_data.entity.tax_authority` (string,null)
    Only required when onboarding a seller with a MCC of 9311.The tax_authority is the tax gathering entity (e.g., San Francisco Water Authority).

  - `onboarding_data.entity.tax_id` (string,null)
    The control owner's Social Security Number (SSN). Masked in responses (e.g., *3333).

  - `onboarding_data.entity.tax_id_provided` (boolean)
    Details if the tax_id was provided.

  - `onboarding_data.entity.business_tax_id` (string,null)
    Nine digit Tax Identification Number (TIN) or Employer Identification Number (EIN). Masked in responses (e.g., *2222).

  - `onboarding_data.entity.title` (string,null)
    The corporate title of the control owner (e.g. Chief Executive Officer, CFO, etc. Max 60 characters).

  - `onboarding_data.entity.url` (string,null)
    The URL of the merchant's public website.

  - `onboarding_data.payment_instruments` (object)
    The Payment Instrument that'll be used to payout the seller. For more information, see [Payouts](/guides/payouts/).

  - `onboarding_data.payment_instruments.account_number` (string)
    The bank account number (no dashes in between numbers). Canadian bank account numbers cannot exceed 15 characters.

  - `onboarding_data.payment_instruments.account_type` (string)
    The type of bank account. Use the following respective enum when creating a Payment Instrument for:CHECKING: The checking account of your buyer.SAVINGS: The savings account of your buyer.CORPORATE: A corporate checking account.CORP_SAVINGS: A corporate savings account.BUSINESS_CHECKING: A checking account primarily owned by a business.BUSINESS_SAVINGS: A savings account primarily owned by a businessPERSONAL_CHECKING: Seller's using their personal checking account.PERSONAL_SAVINGS: Seller's using their personal savings account.

  - `onboarding_data.payment_instruments.attempt_bank_account_validation_check` (any)
    Enum: "CHECKING", "SAVINGS", "PERSONAL_CHECKING", "PERSONAL_SAVINGS", "BUSINESS_CHECKING", "BUSINESS_SAVINGS", "CORPORATE", "CORP_SAVINGS"

  - `onboarding_data.payment_instruments.bank_code` (string)
    The routing number of the bank account.

  - `onboarding_data.payment_instruments.name` (string)
    The name of the bank account owner.

  - `onboarding_data.payment_instruments.type` (string)
    Type of Payment Instrument.
    Enum: "BANK_ACCOUNT"

  - `onboarding_data.payment_instruments.country` (string)
    3-letter country code for the bank account (e.g., USA, CAN).

  - `onboarding_data.payment_instruments.currency` (string)
    3-letter ISO currency code for the bank account (e.g., USD, CAD).

  - `onboarding_data.max_transaction_amount` (integer, required)
    Maximum card amount that can be transacted for a single transaction in cents (max 12 characters). Must be equal to or less than your max_transaction_amount.

  - `onboarding_data.ach_max_transaction_amount` (integer)
    Maximum ACH amount that can be transacted for a single transaction in cents (max 12 characters). Must be equal to or less than your ach_max_transaction_amount.

  - `onboarding_data.associated_files` (array)
    List of [Files](#Files) your user uploaded inside their Onboarding Form.

  - `onboarding_data.associated_files.type` (string)
    The type of the File.

  - `onboarding_data.associated_files.name` (string)
    The name of the File.

  - `onboarding_data.associated_files.id` (string)
    The id of the File.

  - `onboarding_data.associated_files.related_to` (string)
    The id of the resource the File is linked to.

  - `onboarding_link_details` (object, required)
    The information of the initial onboarding link. This is only provided when creating an onboarding_form.

  - `onboarding_link_details.expiration_in_minutes` (integer, required)
    How long (in minutes) the link should be valid for. Defaults to 60 minutes.

  - `onboarding_link_details.expired_session_url` (string, required)
    The URL users get sent to if the bearer token expires.

  - `onboarding_link_details.fee_details_url` (string, required)
    The URL of the page where you display the fees related to processing payments (for more info, see [Onboarding Forms](/guides/platform-payments/onboarding-sellers/seller-onboarding-forms/)).

  - `onboarding_link_details.merchant_max_transaction_amount` (integer)
    The maximum transaction amount for the merchant's card payment processing.

  - `onboarding_link_details.merchant_ach_max_transaction_amount` (integer)
    The maximum transaction amount for the merchant's ACH payment processing.

  - `onboarding_link_details.return_url` (string, required)
    The URL users get sent to after completing the onboarding flow.

  - `onboarding_link_details.terms_of_service_url` (string, required)
    Your Terms of Service URL. The URL is provided to users for consent along with Finix's Terms of Service.

  - `tags` (object,null)
    Include up to 50 key: value pairs to annotate requests with custom metadata.
- Maximum character length for individual keys is 40.
- Maximum character length for individual values is 500.
(For example, order_number: 25, item_type: produce, department: sales)

## Response 201 fields (application/json):

  - `id` (string)
    The ID of the resource.

  - `onboarding_data` (object)
    The prefilled information of the user that's being onboarded. For more information, see [Prefilling Fields](/guides/platform-payments/onboarding-sellers/seller-onboarding-forms/#prefilling-fields).

  - `onboarding_data.additional_underwriting_data` (object)
    Additional underwriting data about the user.

  - `onboarding_data.additional_underwriting_data.annual_ach_volume` (integer)
    The approximate annual ACH sales expected to be processed (in cents) by this merchant (max 10 characters).

  - `onboarding_data.additional_underwriting_data.average_ach_transfer_amount` (integer)
    The approximate average ACH sale amount (in cents) for this merchant.

  - `onboarding_data.additional_underwriting_data.average_card_transfer_amount` (integer)
    The average credit card sale amount (in cents) for this merchant.

  - `onboarding_data.additional_underwriting_data.business_description` (string)
    Description of this merchant's business (max 200 characters).

  - `onboarding_data.additional_underwriting_data.card_volume_distribution` (object,null)
    The distribution of the merchant's credit card volume The sum of card_volume_distribution must be 100.

  - `onboarding_data.additional_underwriting_data.card_volume_distribution.card_present_percentage` (integer)
    The percentage of the merchant's volume that's card present (between 0 and 100).

  - `onboarding_data.additional_underwriting_data.card_volume_distribution.ecommerce_percentage` (integer)
    The percentage of the merchant's business that is eCommerce (between 0 and 100).

  - `onboarding_data.additional_underwriting_data.card_volume_distribution.mail_order_telephone_order_percentage` (integer)
    The percentage of the merchant's business that is a mail or telephone order (between 0 and 100).

  - `onboarding_data.additional_underwriting_data.credit_check_timestamp` (string)
    A timestamp of when this merchant consented to a credit check (e.g., 2021-04-28T16:42:55Z).

  - `onboarding_data.additional_underwriting_data.credit_check_user_agent` (string)
    The details of the browser that was used when this merchant consented to a credit check (e.g., Mozilla 5.0 (Macintosh; Intel Mac OS X 10 _14_6)).

  - `onboarding_data.additional_underwriting_data.merchant_agreement_accepted` (boolean)
    Sets whether this merchant has accepted the terms and conditions of the merchant agreement.

  - `onboarding_data.additional_underwriting_data.merchant_agreement_ip_address` (string)
    IP address of the merchant when this merchant accepted the merchant agreement (e.g., 42.1.1.113).

  - `onboarding_data.additional_underwriting_data.merchant_agreement_timestamp` (string)
    Timestamp of when the merchant accepted Finix's Terms of Service (e.g., 2021-04-28T16:42:55Z).

  - `onboarding_data.additional_underwriting_data.merchant_agreement_user_agent` (string)
    The details of the browser that was used when this merchant accepted Finix's Terms of Service (e.g., Mozilla 5.0 (Macintosh; Intel Mac OS X 10 _14_6)).

  - `onboarding_data.additional_underwriting_data.refund_policy` (string)
    Include the value that best applies to the merchant's refund policy.
    Enum: "NO_REFUNDS", "MERCHANDISE_EXCHANGE_ONLY", "WITHIN_30_DAYS", "OTHER"

  - `onboarding_data.additional_underwriting_data.volume_distribution_by_business_type` (object,null)
    Merchant's distribution of credit card volume by business type. Sum of volume_distribution_by_business_type must be 100.

  - `onboarding_data.additional_underwriting_data.volume_distribution_by_business_type.business_to_business_volume_percentage` (integer)
    The percentage of the merchant's volume that's business to business (between 0 and 100).

  - `onboarding_data.additional_underwriting_data.volume_distribution_by_business_type.business_to_consumer_volume_percentage` (integer)
    The percentage of the merchant's volume that's business to consumer (between 0 and 100).

  - `onboarding_data.additional_underwriting_data.volume_distribution_by_business_type.consumer_to_consumer_volume_percentage` (integer)
    Merchant's percentage of volume that is consumer to consumer (between 0 and 100).

  - `onboarding_data.additional_underwriting_data.volume_distribution_by_business_type.other_volume_percentage` (integer)
    The percentage of the merchant's volume that isn't represented by the previous fields (between 0 and 100).

  - `onboarding_data.additional_underwriting_data.volume_distribution_by_business_type.person_to_person_volume_percentage` (integer)
    The percentage the merchant's volume that's person to person (between 0 and 100).

  - `onboarding_data.additional_underwriting_data.amex_marketing_consent` (object,null)
    Details about the merchant's consent to receive American Express marketing communications.

  - `onboarding_data.additional_underwriting_data.amex_marketing_consent.accepted` (boolean)
    Whether the merchant accepted Amex marketing consent.

  - `onboarding_data.additional_underwriting_data.amex_marketing_consent.ip_address` (string)
    IP address of the merchant when they provided their marketing consent decision.

  - `onboarding_data.additional_underwriting_data.amex_marketing_consent.user_agent` (string)
    The browser user agent details when the merchant provided their marketing consent decision.

  - `onboarding_data.additional_underwriting_data.amex_marketing_consent.timestamp` (string)
    Timestamp of when the merchant provided their marketing consent decision (ISO 8601 format).

  - `onboarding_data.associated_entities` (array)
    The entities saved in the associated_identities of the user. For more information, see [Create an Associated Identity](#operation/createAssociatedIdentity).

  - `onboarding_data.associated_entities.annual_card_volume` (integer)
    The annual credit card sales (in cents) expected to be processed (max 19 characters).

  - `onboarding_data.associated_entities.business_address` (object,null)
    The primary address for the legal entity.

  - `onboarding_data.associated_entities.business_address.city` (string)
    City (max 20 characters).

  - `onboarding_data.associated_entities.business_address.country` (string)

  - `onboarding_data.associated_entities.business_address.line2` (string)
    Second line of the address (max 35 characters).

  - `onboarding_data.associated_entities.business_address.line1` (string)
    First line of the address (max 35 characters).

  - `onboarding_data.associated_entities.business_address.postal_code` (string)
    Zip or Postal code (max 7 characters).

  - `onboarding_data.associated_entities.business_address.region` (string)
    2-letter state code.

  - `onboarding_data.associated_entities.business_name` (string,null)
    Abbreviated names of the business. If there are no abbreviated name, leave this field blank.

  - `onboarding_data.associated_entities.business_phone` (string)
    Customer service phone number where the merchant can be reached (max 10 characters).

  - `onboarding_data.associated_entities.business_tax_id` (string)
    Nine digit Tax Identification Number (TIN), Employer Identification Number (EIN). If the business_type is INDIVIDUAL\_SOLE\_PROPRIETORSHIP and they do not have an EIN, use the sole proprietor's Social Security Number (SSN).

  - `onboarding_data.associated_entities.business_type` (string)
    Include the value that best applies to the merchant.
    Enum: "INDIVIDUAL_SOLE_PROPRIETORSHIP", "CORPORATION", "LIMITED_LIABILITY_COMPANY", "PARTNERSHIP", "ASSOCIATION_ESTATE_TRUST", "TAX_EXEMPT_ORGANIZATION", "INTERNATIONAL_ORGANIZATION", "GOVERNMENT_AGENCY"

  - `onboarding_data.associated_entities.default_statement_descriptor` (string,null)
    The description of the Merchant that appears on the buyer's bank or card statement.

  - `onboarding_data.associated_entities.dob` (object)
    The control owner's date of birth.

  - `onboarding_data.associated_entities.dob.day` (integer)

  - `onboarding_data.associated_entities.dob.month` (integer)

  - `onboarding_data.associated_entities.dob.year` (integer)

  - `onboarding_data.associated_entities.doing_business_as` (string)
    Alternate names of the business. If there are no other names, pass the same value used for business_name (max 60 characters).

  - `onboarding_data.associated_entities.email` (string)
    The email address of the principal control owner where they can be reached (max 100 characters).

  - `onboarding_data.associated_entities.first_name` (string)
    The legal first name of the control owner (max 20 characters).

  - `onboarding_data.associated_entities.has_accepted_credit_cards_previously` (boolean)
    Defaults to false if not passed.

  - `onboarding_data.associated_entities.incorporation_date` (object,null)
    The date the company was founded and registered.

  - `onboarding_data.associated_entities.incorporation_date.day` (integer)
    Day business was incorporated (between 1 and 31).

  - `onboarding_data.associated_entities.incorporation_date.month` (integer)
    Month business was incorporated (between 1 and 12).

  - `onboarding_data.associated_entities.incorporation_date.year` (integer)
    Year business was incorporated (4-digit).

  - `onboarding_data.associated_entities.last_name` (string)
    The Identity owner's legal last name.

  - `onboarding_data.associated_entities.max_transaction_amount` (integer)
    The maximum amount (in cents) that can be charged for a single transaction (max 12 characters).

  - `onboarding_data.associated_entities.mcc` (string)
    The Merchant Category Code ([MCC](http://www.dm.usda.gov/procurement/card/card\_x/mcc.pdf)) that this merchant will be classified under. For a list of approved MCCs, see [Approved Merchant Category Codes.](/guides/managing-operations/security-compliance/approved-merchant-category-codes)

  - `onboarding_data.associated_entities.ownership_type` (string,null)
    Values can be either:
- PUBLIC to indicate a publicly-traded company.
- PRIVATE for privately-held businesses.

  - `onboarding_data.associated_entities.personal_address` (object)
    The home address of the principal control owner. This field is used for identity verification purposes.

  - `onboarding_data.associated_entities.personal_address.city` (string)
    City (max 20 characters).

  - `onboarding_data.associated_entities.personal_address.country` (string)
    3-Letter country code (e.g. USA).

  - `onboarding_data.associated_entities.personal_address.line1` (string)
    First line of the address (max 35 characters).

  - `onboarding_data.associated_entities.personal_address.line2` (string)
    Second line of the address (max 35 characters).

  - `onboarding_data.associated_entities.personal_address.postal_code` (string)
    Zip or Postal code (max 7 characters).

  - `onboarding_data.associated_entities.personal_address.region` (string)
    2-letter State code.

  - `onboarding_data.associated_entities.phone` (string)
    The principal control owner's phone number (max 10 characters).

  - `onboarding_data.associated_entities.principal_percentage_ownership` (integer)
    Percentage of the company owned by the principal control owner (min 0; max 100).

  - `onboarding_data.associated_entities.tax_id` (string)
    Details if the tax_id was provided.

  - `onboarding_data.associated_entities.title` (string)
    The corporate title of the control owner (e.g. Chief Executive Officer, CFO, etc. Max 60 characters).

  - `onboarding_data.associated_entities.url` (string)
    The URL of the Identity owner's public website.

  - `onboarding_data.country` (string)
    Country of the Merchant's business
    Enum: "USA", "CAN"

  - `onboarding_data.entity` (object)
    The entity information saved in the Identity of the user.

  - `onboarding_data.entity.amex_mid` (integer,null)
    Assigned amexMid value. If a value is passed, it must be 10 or 11 digits.

  - `onboarding_data.entity.annual_card_volume` (integer,null)
    The annual credit card sales (in cents) expected to be processed by this seller (max 19 characters).

  - `onboarding_data.entity.business_address` (object,null)
    The primary address for the legal entity.

  - `onboarding_data.entity.business_address.line1` (string,null)
    First line of the address (max 35 characters).

  - `onboarding_data.entity.business_address.line2` (string,null)
    Second line of the address (max 35 characters).

  - `onboarding_data.entity.business_address.city` (string,null)
    City (max 20 characters).

  - `onboarding_data.entity.business_address.region` (string,null)
    2-letter state code.

  - `onboarding_data.entity.business_address.postal_code` (string,null)
    Zip or Postal code (max 7 characters).

  - `onboarding_data.entity.business_address.country` (string,null)
    3-Letter Country code (e.g. USA).

  - `onboarding_data.entity.business_name` (string,null)
    The merchant's legal business name (max 120 characters).If INDIVIDUAL_SOLE_PROPRIETORSHIP, pass the owner's legal first name, last name, and middle initial.

  - `onboarding_data.entity.business_phone` (string,null)
    Customer service phone number where the seller can be reached (max 10 characters).

  - `onboarding_data.entity.business_tax_id_provided` (boolean)
    Details if the business_tax_id was provided.

  - `onboarding_data.entity.business_type` (string,null)
    Include the value that best applies to the seller.
    Enum: "INDIVIDUAL_SOLE_PROPRIETORSHIP", "CORPORATION", "LIMITED_LIABILITY_COMPANY", "PARTNERSHIP", "LIMITED_PARTNERSHIP", "GENERAL_PARTNERSHIP", "ASSOCIATION_ESTATE_TRUST", "TAX_EXEMPT_ORGANIZATION", "INTERNATIONAL_ORGANIZATION", "GOVERNMENT_AGENCY", "JOINT_VENTURE"

  - `onboarding_data.entity.default_statement_descriptor` (string,null)
    The description of the Merchant that appears on the buyer's bank or card statement.

  - `onboarding_data.entity.discover_mid` (integer,null)
    Assigned discoverMid value.

  - `onboarding_data.entity.dob` (object,null)
    The control owner's date of birth.

  - `onboarding_data.entity.dob.day` (integer)
    Day of birth (between 1 and 31).

  - `onboarding_data.entity.dob.month` (integer)
    Month of birth (between 1 and 12).

  - `onboarding_data.entity.dob.year` (integer)
    Year of birth (4-digit). Year must be greater than 1900.

  - `onboarding_data.entity.doing_business_as` (string,null)
    Alternate names of the business. If there are no other names, pass the same value used for business_name (max 60 characters).

  - `onboarding_data.entity.email` (string,null)
    The email address of the principal control owner where they can be reached (max 100 characters).

  - `onboarding_data.entity.first_name` (string,null)
    The legal first name of the merchant's control owner (max 20 characters).

  - `onboarding_data.entity.has_accepted_credit_cards_previously` (boolean)
    Defaults to false if not passed.

  - `onboarding_data.entity.incorporation_date` (object,null)
    The date the company was founded and registered with the US.

  - `onboarding_data.entity.incorporation_date.day` (integer)
    Day business was incorporated (between 1 and 31).

  - `onboarding_data.entity.incorporation_date.month` (integer)
    Month of birth (between 1 and 12).

  - `onboarding_data.entity.incorporation_date.year` (integer)
    Year business was incorporated (4-digit).

  - `onboarding_data.entity.last_name` (string,null)
    The legal last name of the merchant's control owner (max 20 characters).

  - `onboarding_data.entity.mcc` (string,null)
    The Merchant Category Code ([MCC](http://www.dm.usda.gov/procurement/card/card\_x/mcc.pdf)) that this merchant will be classified under. For a list of approved MCCs, see [Approved Merchant Category Codes.](/guides/managing-operations/security-compliance/approved-merchant-category-codes)

  - `onboarding_data.entity.ownership_type` (string,null)
    Values can be either: PUBLIC to indicate a publicly-traded company.PRIVATE for privately-held businesses.
    Enum: "PUBLIC", "PRIVATE"

  - `onboarding_data.entity.personal_address` (object,null)
    The home address of the merchant's principal control owner. This field is used for identity verification purposes.

  - `onboarding_data.entity.personal_address.line1` (string,null)
    First line of the address (max 35 characters).

  - `onboarding_data.entity.personal_address.line2` (string,null)
    Second line of the address (max 35 characters).

  - `onboarding_data.entity.personal_address.city` (string,null)
    City (max 20 characters).

  - `onboarding_data.entity.personal_address.region` (string,null)
    2-letter State code.

  - `onboarding_data.entity.personal_address.postal_code` (string,null)
    Zip or Postal code (max 7 characters).

  - `onboarding_data.entity.personal_address.country` (string,null)
    3-Letter country code (e.g. USA).

  - `onboarding_data.entity.phone` (string,null)
    The principal control owner's phone number (max 10 characters).

  - `onboarding_data.entity.principal_percentage_ownership` (integer,null)
    Percentage of the company owned by the principal control owner (min 0; max 100).

  - `onboarding_data.entity.short_business_name` (string,null)
    Abbreviated names of the business. If there are no abbreviated name, leave this field blank.

  - `onboarding_data.entity.tax_authority` (string,null)
    Only required when onboarding a seller with a MCC of 9311.The tax_authority is the tax gathering entity (e.g., San Francisco Water Authority).

  - `onboarding_data.entity.tax_id` (string,null)
    The control owner's Social Security Number (SSN). Masked in responses (e.g., *3333).

  - `onboarding_data.entity.tax_id_provided` (boolean)
    Details if the tax_id was provided.

  - `onboarding_data.entity.business_tax_id` (string,null)
    Nine digit Tax Identification Number (TIN) or Employer Identification Number (EIN). Masked in responses (e.g., *2222).

  - `onboarding_data.entity.title` (string,null)
    The corporate title of the control owner (e.g. Chief Executive Officer, CFO, etc. Max 60 characters).

  - `onboarding_data.entity.url` (string,null)
    The URL of the merchant's public website.

  - `onboarding_data.payment_instruments` (object)
    The Payment Instrument that'll be used to payout the seller. For more information, see [Payouts](/guides/payouts/).

  - `onboarding_data.payment_instruments.account_number` (string)
    The bank account number (no dashes in between numbers). Canadian bank account numbers cannot exceed 15 characters.

  - `onboarding_data.payment_instruments.account_type` (string)
    The type of bank account. Use the following respective enum when creating a Payment Instrument for:CHECKING: The checking account of your buyer.SAVINGS: The savings account of your buyer.CORPORATE: A corporate checking account.CORP_SAVINGS: A corporate savings account.BUSINESS_CHECKING: A checking account primarily owned by a business.BUSINESS_SAVINGS: A savings account primarily owned by a businessPERSONAL_CHECKING: Seller's using their personal checking account.PERSONAL_SAVINGS: Seller's using their personal savings account.

  - `onboarding_data.payment_instruments.attempt_bank_account_validation_check` (any)
    Enum: "CHECKING", "SAVINGS", "PERSONAL_CHECKING", "PERSONAL_SAVINGS", "BUSINESS_CHECKING", "BUSINESS_SAVINGS", "CORPORATE", "CORP_SAVINGS"

  - `onboarding_data.payment_instruments.bank_code` (string)
    The routing number of the bank account.

  - `onboarding_data.payment_instruments.name` (string)
    The name of the bank account owner.

  - `onboarding_data.payment_instruments.type` (string)
    Type of Payment Instrument.
    Enum: "BANK_ACCOUNT"

  - `onboarding_data.payment_instruments.country` (string)
    3-letter country code for the bank account (e.g., USA, CAN).

  - `onboarding_data.payment_instruments.currency` (string)
    3-letter ISO currency code for the bank account (e.g., USD, CAD).

  - `onboarding_data.max_transaction_amount` (integer, required)
    Maximum card amount that can be transacted for a single transaction in cents (max 12 characters). Must be equal to or less than your max_transaction_amount.

  - `onboarding_data.ach_max_transaction_amount` (integer)
    Maximum ACH amount that can be transacted for a single transaction in cents (max 12 characters). Must be equal to or less than your ach_max_transaction_amount.

  - `onboarding_data.associated_files` (array)
    List of [Files](#Files) your user uploaded inside their Onboarding Form.

  - `onboarding_data.associated_files.type` (string)
    The type of the File.

  - `onboarding_data.associated_files.name` (string)
    The name of the File.

  - `onboarding_data.associated_files.id` (string)
    The id of the File.

  - `onboarding_data.associated_files.related_to` (string)
    The id of the resource the File is linked to.

  - `merchant_processors` (array)
    An array of objects with the processors and gateways users will be onboarded to.

  - `merchant_processors.processor` (string)
    The name of the processor you plan to onboard users to.

  - `onboarding_link_details` (object)
    The information of the initial onboarding link. This is only provided when creating an onboarding_form.

  - `onboarding_link_details.expiration_in_minutes` (integer, required)
    How long (in minutes) the link should be valid for. Defaults to 60 minutes.

  - `onboarding_link_details.expired_session_url` (string, required)
    The URL users get sent to if the bearer token expires.

  - `onboarding_link_details.fee_details_url` (string, required)
    The URL of the page where you display the fees related to processing payments (for more info, see [Onboarding Forms](/guides/platform-payments/onboarding-sellers/seller-onboarding-forms/)).

  - `onboarding_link_details.merchant_max_transaction_amount` (integer)
    The maximum transaction amount for the merchant's card payment processing.

  - `onboarding_link_details.merchant_ach_max_transaction_amount` (integer)
    The maximum transaction amount for the merchant's ACH payment processing.

  - `onboarding_link_details.return_url` (string, required)
    The URL users get sent to after completing the onboarding flow.

  - `onboarding_link_details.terms_of_service_url` (string, required)
    Your Terms of Service URL. The URL is provided to users for consent along with Finix's Terms of Service.

  - `onboarding_link` (object)
    The information of the initial onboarding link. This is only provided when creating an onboarding_form.

  - `onboarding_link.expires_at` (string)
    A UTC timestamp detailing when the onboarding form expires and will no longer be available via link_url. To generate a new link to the same form, see [Get an Onboarding Form URL](/guides/platform-payments/onboarding-sellers/seller-onboarding-forms/#fetching-an-onboarding-form-link).

  - `onboarding_link.link_url` (string)
    The URL of the user's Finix Onboarding Form. Users can use the link_url to return to the form until the link expires.

  - `status` (string)
    Status of the onboarding_form.
    Enum: "IN_PROGRESS", "COMPLETED", "UPDATE_REQUESTED"

  - `identity_id` (string)
    The ID of the identity resource. This is only provided when the onboarding_form is COMPLETED.

  - `application_id` (string)
    ID of the Application the resource was created under.

  - `created_at` (string)
    Timestamp of when the object was created.

  - `updated_at` (string)
    Timestamp of when the object was last updated.

  - `tags` (object,null)
    Include up to 50 key: value pairs to annotate requests with custom metadata.
- Maximum character length for individual keys is 40.
- Maximum character length for individual values is 500.
(For example, order_number: 25, item_type: produce, department: sales)

## Response 400 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 401 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 403 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 406 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.


